import { View, Image, RichText } from "@tarojs/components";
import "./index.less";

// 签约模态框组件
export default function instructionModal(props) {
  const { isOpened, onClose, title, content } = props;
  // 关闭弹窗
  const closeModal = () => {
    onClose();
  };
  return (
    <>
      {isOpened && (
        <View className="modal-container">
          <View className="modal-mask" />
          <View className="modal-content">
              {/* 背景图 */}
              <Image
                mode="widthFix"
                src="https://yushi.tos-cn-beijing.volces.com/member/instructionBg.png"
                className="instruction-bg"
              />
            <View className="content-box">
              <View className="instruction-title">{title}</View>
              <View className="instruction-content">
                <RichText nodes={content} />
              </View>
            </View>
            <View className="instruction-button-box">
              <View onClick={closeModal} className="instruction-button">
                我知道了
              </View>
            </View>
          </View>
        </View>
      )}
    </>
  );
}
