import { Component } from "react";
import { View, Image, Text } from "@tarojs/components";
import "./index.less";
import Taro from "@tarojs/taro";
export default class Index extends Component {
  state = {
    isSearch: 1,// 是否计算成功
    list: [],// 列表
    wish: '',// 心愿
    price: '',// 价格
  };
  componentDidMount() {
    let { isSearch, list, wish, price } = Taro.getCurrentInstance().router.params;
    this.setState({
      isSearch,
      list: JSON.parse(decodeURIComponent(list)),
      wish,
      price,
    });
  }
  // 再次捡漏
  handleAgain = () => {
    Taro.navigateBack();
  }
  // 去捡漏清单
  toCalculatorInventory = (id) => {
    Taro.navigateTo({
      url: `/pages/calculatorSub/calculatorInventory/index?id=${id}&&isShare=true`,
    });
  }
  // 精选推荐
  handleGoodRecommend = (id) => {
    Taro.navigateTo({
      url: `/pages/indexSub/productDetail/index?id=${id}&&isShare=true`,
    });
  }
  render() {
    const { isSearch, list, wish, price } = this.state;
    return (
      <View className="index">
        {/* 顶部盒子 */}
        <View className="top-box">
          <Image
            className="top-img"
            src={isSearch == 1 ? "https://yushi.tos-cn-beijing.volces.com/calculator/resultImg.png" : "https://yushi.tos-cn-beijing.volces.com/calculator/failResult.png"}
          />
          {/* 捡漏产品 */}
          <View className="calculator-info">
            <View className="title-box">
              <Text className="title-text-left">您想要的:</Text>
              <Text className="title-text">{wish}</Text>
            </View>
            <View className="title-box">
              <Text className="title-text-left">期望花费:</Text>
              <Text className="title-text">{price}元</Text>
            </View>
          </View>
          {/* 首选推荐产品 */}
          <View className="first-recommend">
            <View className="first-recommend-title">
              <Image
                className="first-recommend-title-img"
                src="https://yushi.tos-cn-beijing.volces.com/calculator/recommend.png"
              />
              <Text className="first-recommend-title-text">首选推荐</Text>
            </View>
            <View className="first-recommend-content">
              {list.length > 0 && (
                <View className="product-info" onClick={() => this.handleGoodRecommend(list[0].id)}>
                  <Image
                    className="product-avatar"
                    mode="aspectFill"
                    src={list[0].image_url}
                  />
                  <View className="product-detail">
                    <Text className="product-title">{list[0].item_title}</Text>
                    <View className="price-box">
                      <Text className="current-price">{list[0].reserve_price}</Text>
                      {list[0].original_price != 0 && (
                        <Text className="original-price">¥{list[0].original_price}</Text>
                      )}
                    </View>
                  </View>
                </View>
              )}
            </View>
            {/* 再次捡漏 */}
            <View onClick={this.handleAgain} className="first-recommend-button">
              <Image
                className="first-recommend-button-img"
                src="https://yushi.tos-cn-beijing.volces.com/calculator/resultButton.png"
              />
              <Text className="first-recommend-button-text">再次捡漏</Text>
            </View>
          </View>
        </View>
        {/* 精选推荐列表 */}
        <View className="good-recommend-content">
          <View className="good-recommend-list-title">
            <Image
              className="good-recommend-list-title-img"
              src="https://yushi.tos-cn-beijing.volces.com/calculator/recommendIcon.png"
            />
            <Text className="good-recommend-list-title-text">精选推荐</Text>
          </View>
          {/* 精选推荐列表内容 */}
          <View className="good-recommend-list">
            {list.length > 1 && list.slice(1, 7).map((item, index) => (
              <View onClick={() => this.handleGoodRecommend(item.id)} key={index} className="good-recommend-list-item">
                <Image
                  mode="aspectFill"
                  className="item-image"
                  src={item.image_url}
                />
                <Text className="item-title">{item.item_title}</Text>
                <View className="item-price">
                  <Text className="price-symbol">¥</Text>
                  <Text className="current-price">{item.reserve_price}</Text>
                  {item.original_price != 0 && (
                    <Text className="original-price">¥{item.original_price}</Text>
                  )}
                </View>
              </View>
            ))}
          </View>
        </View>
      </View>
    );
  }
}
