//接口集成
import Request from '../api/request';
import RequestApi from '../api/request_api';
// -----------------------------------------------------------首页
// 获取首页数据
export const getHomeData = data =>
  Request({
    url: '/api/get_index_data',
    method: 'POST',
    data,
  });
// 获取商品列表
export const getProductList = data =>
  Request({
    url: '/api/get_goods_data_list',
    method: 'POST',
    data,
  })
// 获取商品详情
export const getProductDetail = data =>
  Request({
    url: '/api/get_goods_data_detail',
    method: 'POST',
    data,
  })
// 闲鱼商品推广转链
export const getProductPromotion = data =>
  Request({
    url: '/xianyu/xianyu_goods_link',
    method: 'POST',
    data,
  })
// 获取猜你喜欢列表
export const getProductLikeList = data =>
  Request({
    url: '/api/get_goods_data_list_like',
    method: 'POST',
    data,
  })
// 获取推荐商品列表
export const getRecommendProductList = data =>
  Request({
    url: '/api/get_goods_data_list_recommend',
    method: 'POST',
    data,
  })
// 获取所有闲鱼tags
export const getAllTags = data =>
  Request({
    url: '/api/get_all_xianyu_tags',
    method: 'POST',
    data,
  })
// 获取鱼市tags
export const getFishMarketTags = data =>
  Request({
    url: '/api/get_yushi_tags',
    method: 'POST',
    data,
  })
// 获取搜索商品列表
export const getSearchProductList = data =>
  Request({
    url: '/api/get_goods_search',
    method: 'POST',
    data,
  })
// 签约
export const getSign = data =>
  Request({
    url: '/user/user_sign_contract',
    method: 'POST',
    data,
  })
// -------------------------------------------------------------用户
// 获取用户详情
export const getUserInfo = data =>
  Request({
    url: '/user/get_user_info',
    method: 'POST',
    data,
  })
// 更新用户信息
export const updateUserInfo = data =>
  Request({
    url: '/user/update_user_info',
    method: 'POST',
    data,
  })
// 获取用户规范
export const getUserAgreement = data =>
  Request({
    url: '/user/get_user_agreement',
    method: 'POST',
    data,
  })
// 获取分享跳转标识(1:商品;2:店铺 3:专题页)
export const getShareJump = data =>
  RequestApi({
    url: '/user/get_not_oneself_store_detail',
    method: 'POST',
    data,
  })
// 绑定分享跳转标识
export const bindShareJump = data =>
  Request({
    url: '/user/get_share_unique_value',
    method: 'POST',
    data,
  })
// 获取我的页面数据
export const getMineData = data =>
  Request({
    url: '/user/get_my_page',
    method: 'POST',
    data,
  })
// -------------------------------------------------------会员
// 获取会员详情
export const getVipInfo = data =>
  Request({
    url: '/vip/get_index_vip_data',
    method: 'POST',
    data,
  })
// 获取我的店铺详情
export const getMyShopDetail = data =>
  Request({
    url: '/vip/get_store_detail',
    method: 'POST',
    data,
  })
// 获取我的店铺数据
export const getMyShopList = data =>
  Request({
    url: '/vip/get_store_data_list',
    method: 'POST',
    data,
  })
// 非店长获取店铺详情
export const getShareShopDetail = data =>
  Request({
    url: '/vip/get_not_oneself_store_detail',
    method: 'POST',
    data,
  })
// 非店长获取店铺商品数据列表
export const getShareShopProductList = data =>
  Request({
    url: '/vip/get_not_oneself_store_data_list',
    method: 'POST',
    data,
  })
// 店铺添加指定商品
export const addShopProduct = data =>
  Request({
    url: '/vip/add_store_goods',
    method: 'POST',
    data,
  })
// 删除店铺商品
export const deleteShopProduct = data =>
  Request({
    url: '/vip/delete_store_goods',
    method: 'POST',
    data,
  })
// 获取浏览店铺的商品列表
export const getBrowseShopProductList = data =>
  Request({
    url: '/vip/get_goods_data_list_store',
    method: 'POST',
    data,
  })
// 更新商品排序
export const updateProductSort = data =>
  Request({
    url: '/vip/update_goods_sort',
    method: 'POST',
    data,
  })
// 收益订单tab
export const getEarningsOrderTab = data =>
  Request({
    url: '/vip/get_income_order_tabs',
    method: 'POST',
    data,
  })
// 收益订单
export const getEarningsOrderList = data =>
  Request({
    url: '/vip/get_income_order_data',
    method: 'POST',
    data,
  })
// 收益详情
export const getEarningsDetail = data =>
  Request({
    url: '/vip/get_income_order_detail',
    method: 'POST',
    data,
  })
// 获取我的伙伴信息列表
export const getMyPartnerList = data =>
  Request({
    url: '/vip/get_user_partner_list',
    method: 'POST',
    data,
  })
// 获取伙伴详情
export const getPartnerDetail = data =>
  Request({
    url: '/vip/get_user_partner_detail',
    method: 'POST',
    data,
  })
// -----------------------------------------登录
// 登录
export const login = data =>
  Request({
    url: '/user/login_applet',
    method: 'POST',
    data,
  })
// 刷新小程序token
export const refreshToken = data =>
  Request({
    url: '/user/refresh_app_token',
    method: 'POST',
    data,
  })
// ---------------------------------------埋点
// 埋点
export const addLog = data =>
  Request({
    url: '/user/user_goods_statistics',
    method: 'POST',
    data,
  })
// ----------------------------------------字典
// 分享开关接口（0关闭，1打开）
export const getShareSwitch = data =>
  Request({
    url: '/user/get_app_dict_list',
    method: 'POST',
    data,
  })








